<?php

namespace App\Http\Requests\V1\FooterTitles;

use App\Enums\StatusEnum;
use App\Http\Requests\BaseFormRequest;
use Illuminate\Support\Facades\Gate;
use Illuminate\Validation\Rules\Enum;

class ChangeStatusFooterTitleRequest extends BaseFormRequest
{
    public function authorize(): bool
    {
        return Gate::allows('update-footers');
    }

    public function rules(): array
    {
        return [
            'status' => ['required', 'boolean', new Enum(StatusEnum::class)],
        ];
    }
}
